<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** クイック編集で画面を遷移させないようにする *****/
function haup_stop_moving_quick_edit() {
?>
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$(document).on('click', '.editinline', function(e) {
			// クイック編集リンクのクリックイベントを捕捉
			// デフォルトの動作（ページトップへのスクロール）を停止
			e.preventDefault(); 
			// その後、WordPressが本来行うべきクイック編集の処理を呼び出す
			// WordPressの標準的なJavaScript関数
			inlineEditPost.edit(this); 
		});
	});
</script>
<?php
}
add_action('admin_footer-edit.php', 'haup_stop_moving_quick_edit'); // 投稿一覧ページにスクリプトを追加
add_action('admin_footer-post.php', 'haup_stop_moving_quick_edit'); // 個別投稿の編集ページにも適用したい場合
add_action('admin_footer-page.php', 'haup_stop_moving_quick_edit'); // 固定ページにも適用したい場合